Opened 4 years ago

Closed 4 years ago

#1050 closed defect (fixed)

fix appveyor test for sasmodels win 64 python 3

Reported by: pkienzle Owned by:
Priority: blocker Milestone: SasView 4.2.0
Component: sasmodels Keywords:
Cc: Work Package: SasView Bug Fixing

Description

The broken test is a blocker for release even though we are not using python 3.6 since it can hide breakage we care about in python 2.7.

Either remove the breaking test from appveyor, and make this ticket a sasview 5.0 blocker, or better yet, fix the code (if the code is the problem) or the test (if it is an appveyor configuration problem).

https://ci.appveyor.com/project/ajj/sasmodels

Looks like a 32 vs 64 bit linkage problem:

core_shell_parallelepiped, Kernel: dll
======================================================================
ERROR [0.047s]: test_cylinder_dll (__main__._hide_model_case_from_nose.<locals>.ModelTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\projects\sasmodels\sasmodels\model_test.py", line 212, in run_all
    results = [self.run_one(model, test) for test in tests]
  File "C:\projects\sasmodels\sasmodels\model_test.py", line 212, in <listcomp>
    results = [self.run_one(model, test) for test in tests]
  File "C:\projects\sasmodels\sasmodels\model_test.py", line 296, in run_one
    actual = call_kernel(kernel, pars)
  File "C:\projects\sasmodels\sasmodels\direct_model.py", line 63, in call_kernel
    return calculator(call_details, values, cutoff, is_magnetic)
  File "C:\projects\sasmodels\sasmodels\kerneldll.py", line 404, in __call__
    kernel(*args) # type: ignore
OSError: exception: access violation reading 0x00000000A6CBC748
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\projects\sasmodels\sasmodels\model_test.py", line 232, in run_all
    annotate_exception(self.test_name)
  File "C:\projects\sasmodels\sasmodels\exception.py", line 41, in annotate_exception
    raise OSError(str(exc) + " " + msg)
OSError: exception: access violation reading 0x00000000A6CBC748 Model: cylinder, Kernel: dll

Change History (1)

comment:1 Changed 4 years ago by pkienzle

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.